import { Injectable } from "@angular/core";
import { Observable } from "rxjs/Observable";
import { Observer } from "rxjs/Observer";

import { PouchService } from "../services/pouch-service";
import { OdooService } from "../services/odoo-service";

@Injectable()
export class UploadService {

    constructor(
        public pouch: PouchService,
        public odoo: OdooService
    ) { }

    do(): Observable<any> {
        return Observable.create();
    }

    /**
     *
     */
    toCreate(): Observable<any> {
        return Observable.create((observer: Observer<any>) => {
         
        });
    }
}